<template>
  <div class="customer-service">
    <div class="phone-list">
      <div class="item" v-for="(v,i) in phoneList" :key="i">
        <img class="img" :src="v.logo" alt="">
        <div class="name">{{v.name}}</div>
        <div class="shop-name">{{v.customerPhone}}</div>
      </div>
    </div>
  </div>
</template>

<script>
import { getCustomerPhone } from "../../api/setting.js";
export default {
  name: "customerService",
  data() {
    return {
      phoneList: [],
    };
  },
  // 监听属性 类似于data概念
  computed: {},
  // 监控data中的数据变化
  watch: {},
  // 方法集合
  methods: {
    getCustomerPhone() {
      getCustomerPhone().then((res) => {
        if (res.code === 200) {
          this.phoneList = res.data;
        } else {
          this.$message.error(res.msg);
        }
      });
    },
  },
  // 生命周期 - 创建完成（可以访问当前this实例）
  created() {
    this.getCustomerPhone();
  },
  // 生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {},
  // 生命周期 - 创建之前
  beforeCreate() {},
  // 生命周期 - 挂载之前
  beforeMount() {},
  // 生命周期 - 更新之前
  beforeUpdate() {},
  // 生命周期 - 更新之后
  updated() {},
  // 生命周期 - 销毁之前
  beforeDestroy() {},
  // 生命周期 - 销毁完成
  destroyed() {},
  // 如果页面有keep-alive缓存功能，这个函数会触发
  activated() {},
};
</script>

<style lang="scss" scoped  type="text/css">
.phone-list {
  display: flex;
  flex-wrap: wrap;
  .item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 280px;
    height: 120px;
    background: #ffffff;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    margin: 10px 20px 0 0;
    cursor: pointer;
    .img {
      width: 40px;
      height: 40px;
      border-radius: 50%;
    }
    .name {
      font-size: 18px;
      font-weight: 500;
      line-height: 20px;
      color: #333333;
      margin: 10px 0;
    }
    .shop-name {
      font-size: 14px;
      font-weight: 400;
      line-height: 20px;
      color: #999999;
    }
  }
}
</style>